﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TPCWare.CDays14.Twitter.Service.Model
{
    public class RequestToken
    {
        public string OauthToken { get; private set; }
        public string OauthTokenSecret { get; private set; }
        public bool OauthCallbackConfirmed { get; private set; }

        public RequestToken(string body)
        {
            var items = new Dictionary<string, string>();
            foreach (var element in body.Split('&'))
            {
                string[] parts = element.Split('=');
                items.Add(parts[0], parts[1]);
            }
            if (items != null)
            {
                if (items.ContainsKey("oauth_token"))
                {
                    OauthToken = items["oauth_token"];
                }
                if (items.ContainsKey("oauth_token_secret"))
                {
                    OauthTokenSecret = items["oauth_token_secret"];
                }
                if (items.ContainsKey("oauth_token"))
                {
                    OauthCallbackConfirmed = (items["oauth_callback_confirmed"] == "true");
                }
            }
        }
    }
}
